#!/usr/bin/python3
"""
 This script belongs to wirepy and is for the auto start of the tunnel  
"""
from pathlib import Path
from subprocess import check_call

path_to_file = Path(Path.home() / ".config/wire_py/settings")

with open(path_to_file, "r", encoding="utf-8") as a_con:

    # This function is for the independent autostarted of the previously selected tunnel
    lines = a_con.readlines()
    a_con = lines[7].strip()
    if a_con != "off":
        check_call(["nmcli", "connection", "up", a_con])
    else:
        pass
